Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 4838)
+++ orxonox/trunk/src/Makefile.in	(revision 4839)
@@ -75,9 +75,9 @@
 	orxonox-null_parent.$(OBJEXT) \
 	orxonox-graphics_engine.$(OBJEXT) orxonox-light.$(OBJEXT) \
-	orxonox-text_engine.$(OBJEXT) orxonox-element_2D.$(OBJEXT) \
-	orxonox-base_object.$(OBJEXT) orxonox-class_list.$(OBJEXT) \
-	orxonox-ini_parser.$(OBJEXT) orxonox-substring.$(OBJEXT) \
-	orxonox-vector.$(OBJEXT) orxonox-curve.$(OBJEXT) \
-	orxonox-glmenu_imagescreen.$(OBJEXT) \
+	orxonox-text_engine.$(OBJEXT) orxonox-element_2d.$(OBJEXT) \
+	orxonox-render_2d.$(OBJEXT) orxonox-base_object.$(OBJEXT) \
+	orxonox-class_list.$(OBJEXT) orxonox-ini_parser.$(OBJEXT) \
+	orxonox-substring.$(OBJEXT) orxonox-vector.$(OBJEXT) \
+	orxonox-curve.$(OBJEXT) orxonox-glmenu_imagescreen.$(OBJEXT) \
 	orxonox-benchmark.$(OBJEXT)
 orxonox_OBJECTS = $(am_orxonox_OBJECTS)
@@ -97,5 +97,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-crosshair.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-curve.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/orxonox-element_2D.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/orxonox-element_2d.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-environment.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-factory.Po \
@@ -114,4 +114,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-player.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-projectile.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/orxonox-render_2d.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-resource_manager.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-satellite.Po \
@@ -318,5 +319,6 @@
                   lib/graphics/light.cc \
                   lib/graphics/text_engine.cc \
-                  lib/graphics/render2D/element_2D.cc \
+                  lib/graphics/render2D/element_2d.cc \
+                  lib/graphics/render2D/render_2d.cc \
                   lib/lang/base_object.cc \
                   lib/lang/class_list.cc \
@@ -385,4 +387,6 @@
                  lib/graphics/text_engine.h \
                  lib/lang/base_object.h \
+                 lib/graphics/render2D/element_2d.h \
+                 lib/graphics/render2D/render_2d.h \
                  lib/lang/class_list.h \
                  lib/util/ini_parser.h \
@@ -482,5 +486,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-crosshair.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-curve.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-element_2D.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-element_2d.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-environment.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-factory.Po@am__quote@
@@ -499,4 +503,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-player.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-projectile.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-render_2d.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-resource_manager.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-satellite.Po@am__quote@
@@ -1143,19 +1148,35 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-text_engine.obj `if test -f 'lib/graphics/text_engine.cc'; then $(CYGPATH_W) 'lib/graphics/text_engine.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/text_engine.cc'; fi`
 
-orxonox-element_2D.o: lib/graphics/render2D/element_2D.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-element_2D.o -MD -MP -MF "$(DEPDIR)/orxonox-element_2D.Tpo" -c -o orxonox-element_2D.o `test -f 'lib/graphics/render2D/element_2D.cc' || echo '$(srcdir)/'`lib/graphics/render2D/element_2D.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-element_2D.Tpo" "$(DEPDIR)/orxonox-element_2D.Po"; else rm -f "$(DEPDIR)/orxonox-element_2D.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/graphics/render2D/element_2D.cc' object='orxonox-element_2D.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-element_2D.Po' tmpdepfile='$(DEPDIR)/orxonox-element_2D.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-element_2D.o `test -f 'lib/graphics/render2D/element_2D.cc' || echo '$(srcdir)/'`lib/graphics/render2D/element_2D.cc
-
-orxonox-element_2D.obj: lib/graphics/render2D/element_2D.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-element_2D.obj -MD -MP -MF "$(DEPDIR)/orxonox-element_2D.Tpo" -c -o orxonox-element_2D.obj `if test -f 'lib/graphics/render2D/element_2D.cc'; then $(CYGPATH_W) 'lib/graphics/render2D/element_2D.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/render2D/element_2D.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-element_2D.Tpo" "$(DEPDIR)/orxonox-element_2D.Po"; else rm -f "$(DEPDIR)/orxonox-element_2D.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/graphics/render2D/element_2D.cc' object='orxonox-element_2D.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-element_2D.Po' tmpdepfile='$(DEPDIR)/orxonox-element_2D.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-element_2D.obj `if test -f 'lib/graphics/render2D/element_2D.cc'; then $(CYGPATH_W) 'lib/graphics/render2D/element_2D.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/render2D/element_2D.cc'; fi`
+orxonox-element_2d.o: lib/graphics/render2D/element_2d.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-element_2d.o -MD -MP -MF "$(DEPDIR)/orxonox-element_2d.Tpo" -c -o orxonox-element_2d.o `test -f 'lib/graphics/render2D/element_2d.cc' || echo '$(srcdir)/'`lib/graphics/render2D/element_2d.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-element_2d.Tpo" "$(DEPDIR)/orxonox-element_2d.Po"; else rm -f "$(DEPDIR)/orxonox-element_2d.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/graphics/render2D/element_2d.cc' object='orxonox-element_2d.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-element_2d.Po' tmpdepfile='$(DEPDIR)/orxonox-element_2d.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-element_2d.o `test -f 'lib/graphics/render2D/element_2d.cc' || echo '$(srcdir)/'`lib/graphics/render2D/element_2d.cc
+
+orxonox-element_2d.obj: lib/graphics/render2D/element_2d.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-element_2d.obj -MD -MP -MF "$(DEPDIR)/orxonox-element_2d.Tpo" -c -o orxonox-element_2d.obj `if test -f 'lib/graphics/render2D/element_2d.cc'; then $(CYGPATH_W) 'lib/graphics/render2D/element_2d.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/render2D/element_2d.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-element_2d.Tpo" "$(DEPDIR)/orxonox-element_2d.Po"; else rm -f "$(DEPDIR)/orxonox-element_2d.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/graphics/render2D/element_2d.cc' object='orxonox-element_2d.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-element_2d.Po' tmpdepfile='$(DEPDIR)/orxonox-element_2d.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-element_2d.obj `if test -f 'lib/graphics/render2D/element_2d.cc'; then $(CYGPATH_W) 'lib/graphics/render2D/element_2d.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/render2D/element_2d.cc'; fi`
+
+orxonox-render_2d.o: lib/graphics/render2D/render_2d.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-render_2d.o -MD -MP -MF "$(DEPDIR)/orxonox-render_2d.Tpo" -c -o orxonox-render_2d.o `test -f 'lib/graphics/render2D/render_2d.cc' || echo '$(srcdir)/'`lib/graphics/render2D/render_2d.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-render_2d.Tpo" "$(DEPDIR)/orxonox-render_2d.Po"; else rm -f "$(DEPDIR)/orxonox-render_2d.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/graphics/render2D/render_2d.cc' object='orxonox-render_2d.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-render_2d.Po' tmpdepfile='$(DEPDIR)/orxonox-render_2d.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-render_2d.o `test -f 'lib/graphics/render2D/render_2d.cc' || echo '$(srcdir)/'`lib/graphics/render2D/render_2d.cc
+
+orxonox-render_2d.obj: lib/graphics/render2D/render_2d.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-render_2d.obj -MD -MP -MF "$(DEPDIR)/orxonox-render_2d.Tpo" -c -o orxonox-render_2d.obj `if test -f 'lib/graphics/render2D/render_2d.cc'; then $(CYGPATH_W) 'lib/graphics/render2D/render_2d.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/render2D/render_2d.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-render_2d.Tpo" "$(DEPDIR)/orxonox-render_2d.Po"; else rm -f "$(DEPDIR)/orxonox-render_2d.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='lib/graphics/render2D/render_2d.cc' object='orxonox-render_2d.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-render_2d.Po' tmpdepfile='$(DEPDIR)/orxonox-render_2d.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-render_2d.obj `if test -f 'lib/graphics/render2D/render_2d.cc'; then $(CYGPATH_W) 'lib/graphics/render2D/render_2d.cc'; else $(CYGPATH_W) '$(srcdir)/lib/graphics/render2D/render_2d.cc'; fi`
 
 orxonox-base_object.o: lib/lang/base_object.cc
@@ -1409,5 +1430,5 @@
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/defs $(distdir)/glmenu $(distdir)/lib/coord $(distdir)/lib/graphics $(distdir)/lib/lang $(distdir)/lib/math $(distdir)/lib/util $(distdir)/proto $(distdir)/story_entities $(distdir)/subprojects $(distdir)/util $(distdir)/util/animation $(distdir)/util/loading $(distdir)/util/track $(distdir)/world_entities $(distdir)/world_entities/weapons
+	$(mkdir_p) $(distdir)/defs $(distdir)/glmenu $(distdir)/lib/coord $(distdir)/lib/graphics $(distdir)/lib/graphics/render2D $(distdir)/lib/lang $(distdir)/lib/math $(distdir)/lib/util $(distdir)/proto $(distdir)/story_entities $(distdir)/subprojects $(distdir)/util $(distdir)/util/animation $(distdir)/util/loading $(distdir)/util/track $(distdir)/world_entities $(distdir)/world_entities/weapons
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
